<?php
	session_start();
	include('conexion.php');

	if (!isset($_SESSION['codempresa'])) {
		header('Location: index.php');
		exit();
	}

	$empresa = $_SESSION['codempresa'];
	$vendedor_id = $_GET['vendedor_id'] ?? '';

	// Validar si se proporcionó un vendedor_id
	if (empty($vendedor_id)) {
		header("Content-Type: application/json");
		echo json_encode(["error" => "ID del vendedor no proporcionado"]);
		exit();
	}

	// Preparar la consulta para evitar inyección SQL
	$sql = "SELECT * FROM servicogps 
			WHERE codigovendedor = ? AND empresa = ? 
			ORDER BY fecha DESC, hora DESC LIMIT 1";
	$stmt = $conn->prepare($sql);
	$stmt->bind_param("ss", $vendedor_id, $empresa);
	$stmt->execute();
	$result = $stmt->get_result();

	// Enviar la respuesta en formato JSON
	header("Content-Type: application/json");

	if ($result->num_rows > 0) {
		$data = $result->fetch_assoc();
		echo json_encode($data);
	} else {
		echo json_encode(["error" => "No se encontró ubicación para el vendedor"]);
	}

	// Cerrar la conexión
	$stmt->close();
	$conn->close();
?>
